Skip to main content
GET
List survey report participants

Authorizations

x-api-key
string
header
required

API key for authentication. Generate keys in the Doozy dashboard.

Path Parameters

survey_id
string
required

The unique identifier of the survey

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:

"2XOADZ5X978jbJUbveb9"

Query Parameters

start_date
string<date-time>

Filter participants by received_at >= this date (ISO 8601 format)

Example:

"2026-01-01T00:00:00.000Z"

end_date
string<date-time>

Filter participants by received_at <= this date (ISO 8601 format)

Example:

"2026-01-31T23:59:59.999Z"

group_id
string

Filter identified-survey participants and aggregates by exact account group ID

Minimum string length: 1
Example:

"BgZupnpMujy4v1Zzd6sx"

group_ids
string[]

Account group IDs. Matches participants in any selected group and takes precedence over group_id. A comma-separated query value is also accepted.

Required array length: 1 - 50 elements
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:
work_location_ids
string[]

Work-location IDs. Matches participants at any selected location. A comma-separated query value is also accepted.

Required array length: 1 - 50 elements
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:
manager_ids
string[]

Manager-of-record user IDs. Matches direct reports of any selected manager. A comma-separated query value is also accepted.

Required array length: 1 - 50 elements
Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]+$
Example:
audience_groups
string

JSON-encoded audience groups. Groups match with OR; populated fields inside a group match with AND; values inside each field match with OR. Takes precedence over the flat demographic parameters.

Maximum string length: 20000
Example:

"[{\"group_ids\":[\"BgZupnpMujy4v1Zzd6sx\"],\"country_codes\":[\"GB\"]},{\"group_ids\":[\"group_sales\"],\"cities\":[\"Berlin\"]}]"

instance_id
string

Filter to a specific delivery instance by ID. When set, start_date and end_date are ignored.

Example:

"K2CC1FIYz0JGcnCsNbIa"

track_id
string

Filter results to participants from a specific track (workflow). When specified, only participants who received the survey via this track will be included.

Example:

"i3XJiIJjOp7PJJBTvu4i"

step_id
string

With track_id: only participants who received the survey from this step of the track

Minimum string length: 1
Example:

"NKqbhqFnRyGChRhvM6bB"

variant_id
string

With track_id and step_id: only participants who got this variant of the step. Use default for the step's own content. Not available for anonymous surveys.

Minimum string length: 1
Example:

"default"

schedule_id
string

Filter results to participants from a specific schedule. When specified, only instances created by this schedule will be included.

Example:

"jiQDJJDaC3OH1aUnvnJH"

limit
integer
default:25

Maximum number of participants to return (1-250, default 25)

Required range: 1 <= x <= 250
Example:

25

starting_after
string

A participant id; returns the page after it

Maximum string length: 256
Example:

"06gPNJbvBuM2i8BKRXct"

ending_before
string

A participant id; returns the page before it

Maximum string length: 256
Example:

"pbxJ4YFZnz57I8ai343J"

participant_status
enum<string>
default:responded

Filter participants by status: 'responded' (default), 'not_responded' or 'all'

Available options:
all,
responded,
not_responded
Example:

"responded"

sort
enum<string>
default:received_at_desc

Participant order

Available options:
received_at_desc,
responded_at_desc,
name_asc
Example:

"responded_at_desc"

Response

A page of participants

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required